> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kaleidoswap.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Swap Status

> Check the current status of an atomic swap



## OpenAPI

````yaml /openapi.json post /api/v1/swaps/atomic/status
openapi: 3.1.0
info:
  title: Kaleidoswap RGB-LSP API
  description: API for managing swaps and channels
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/swaps/atomic/status:
    post:
      tags:
        - swaps
      summary: Get Swap Status
      operationId: get_swap_status_api_v1_swaps_atomic_status_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SwapStatusRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SwapStatusResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    SwapStatusRequest:
      properties:
        payment_hash:
          type: string
          title: Payment Hash
          example: 9d342c6ba006e24abee84a2e034a22d5e30c1f2599fb9c3574d46d3cde3d65a2
      type: object
      required:
        - payment_hash
      title: SwapStatusRequest
    SwapStatusResponse:
      properties:
        swap:
          anyOf:
            - $ref: '#/components/schemas/Swap'
            - type: 'null'
      type: object
      title: SwapStatusResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    Swap:
      properties:
        qty_from:
          type: integer
          title: Qty From
          example: 30
        qty_to:
          type: integer
          title: Qty To
          example: 10
        from_asset:
          anyOf:
            - type: string
            - type: 'null'
          title: From Asset
          example: rgb:2dkSTbr-jFhznbPmo-TQafzswCN-av4gTsJjX-ttx6CNou5-M98k8Zd
        to_asset:
          anyOf:
            - type: string
            - type: 'null'
          title: To Asset
          example: rgb:2eVw8uw-8G88LQ2tQ-kexM12SoD-nCX8DmQrw-yLMu6JDfK-xx1SCfc
        payment_hash:
          type: string
          title: Payment Hash
          example: 7c2c95b9c2aa0a7d140495b664de7973b76561de833f0dd84def3efa08941664
        status:
          $ref: '#/components/schemas/SwapStatus'
        requested_at:
          type: integer
          title: Requested At
          example: 1691160765
        initiated_at:
          anyOf:
            - type: integer
            - type: 'null'
          title: Initiated At
          example: 1691168512
        expires_at:
          type: integer
          title: Expires At
          example: 1691172703
        completed_at:
          anyOf:
            - type: integer
            - type: 'null'
          title: Completed At
          example: 1691171075
      type: object
      required:
        - qty_from
        - qty_to
        - payment_hash
        - status
        - requested_at
        - expires_at
      title: Swap
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    SwapStatus:
      type: string
      enum:
        - Waiting
        - Pending
        - Succeeded
        - Expired
        - Failed
      title: SwapStatus

````